aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJan M. Simons <marten_@_xtal.rwth-aachen_._de>2012-11-30 15:21:32 +0100
committerJan M. Simons <marten_@_xtal.rwth-aachen_._de>2012-11-30 15:21:32 +0100
commitaedc152706e60ffccd53457725842bc43754cfb4 (patch)
treed3aa43d888d9b8f71ef631042fe5fe1803b14600 /sci-geosciences
parentimproved ebuild for fullprof, added docs + examples useflags (diff)
downloadsci-aedc152706e60ffccd53457725842bc43754cfb4.tar.gz
sci-aedc152706e60ffccd53457725842bc43754cfb4.tar.bz2
sci-aedc152706e60ffccd53457725842bc43754cfb4.zip
version bump + improved ebuild for fullprof
Diffstat (limited to 'sci-geosciences')
-rw-r--r--sci-geosciences/fullprof-bin/Manifest2
-rw-r--r--sci-geosciences/fullprof-bin/fullprof-bin-2012.11.ebuild (renamed from sci-geosciences/fullprof-bin/fullprof-bin-2012.5.ebuild)27
2 files changed, 22 insertions, 7 deletions
diff --git a/sci-geosciences/fullprof-bin/Manifest b/sci-geosciences/fullprof-bin/Manifest
index 806adee56..f73f25280 100644
--- a/sci-geosciences/fullprof-bin/Manifest
+++ b/sci-geosciences/fullprof-bin/Manifest
@@ -1 +1 @@
-DIST FullProf_Suite_May2012_Lin.tgz 66772188 SHA256 a1a115165b7ce9a5b0b5c92f9656e087d5932967f923d24e041e735908ffe2f2 SHA512 e019c33aa3fb5227d416df9b89b4e31e02fcbc5560c45402c8f63e4fca59f97a9ff401903fd4c6f0e3556f1b36eef5a3a92399a16819a17b7a0d18dba0fe9282 WHIRLPOOL 8f21d3093261a99d6ad6bdf82e18843869421924a5585264702aa0eb50cfd844f1358f4bab87208181421c674de444a8c90171341024701385bdfb2df2a3d9c1
+DIST FullProf_Suite_Nov2012_Lin.tgz 66985149 SHA256 22fa6165f299e67c28439eba2c7d9469fff637bbf873cee4006581d4b8e89398 SHA512 c02933d8cbbfc1ec0d9818ec63f3a0102f0a659b0c38371ed7103a082a87e21b33d2075bb2c7d8357f216b347e0f11bfbc39d6dfd5cba22854438cc2b8586243 WHIRLPOOL 8df64c3b87b381ea28542bdcb513cb83eeaa91d656d1717ef18e2d96803590da415703d2ff6e0d2f9ac9e2ec059552252f41707811e078c28c010c2b58d4bdd7
diff --git a/sci-geosciences/fullprof-bin/fullprof-bin-2012.5.ebuild b/sci-geosciences/fullprof-bin/fullprof-bin-2012.11.ebuild
index 597f555bc..9c8cc7b8c 100644
--- a/sci-geosciences/fullprof-bin/fullprof-bin-2012.5.ebuild
+++ b/sci-geosciences/fullprof-bin/fullprof-bin-2012.11.ebuild
@@ -6,7 +6,7 @@ EAPI="4"
DESCRIPTION="a set of crystallographic tools mainly for Rietveld analysis"
HOMEPAGE="http://www.ill.eu/sites/fullprof/index.html"
-SRC_URI="http://www.ill.eu/sites/fullprof/downloads/FullProf_Suite_May2012_Lin.tgz"
+SRC_URI="http://www.ill.eu/sites/fullprof/downloads/FullProf_Suite_Nov2012_Lin.tgz"
LICENSE="freedist HPND"
# There is no clear license specified. But according to Docs/Readme_Fp_Suite.txt
# those two seem to be appropriate.
@@ -21,22 +21,37 @@ S="${WORKDIR}/"
src_install() {
BASEDIR="/opt/fullprof"
echo "FULLPROF=\"${BASEDIR}\"" > 99fullprof
- echo "PATH=\"${BASEDIR}\"" >> 99fullprof
doenvd 99fullprof
rm 99fullprof || die
+
if use !examples; then
rm -r Examples || die
fi
+
if use !doc; then
rm -r Docs || die
rm -r Html || die
else
- # fix html documentation to actually work
- ls Docs/*.HTM | while read file
- do
- mv $file `echo $file | sed 's/\/.*/\L&/'`
+ # fix (html) documentation to actually work
+ # as upstream is using inconsistent upper and lower case
+ mv Docs docs || die
+ cd docs || die
+ for i in *.HTM; do
+ mv "$i" "${i,,}" || die
done
+ mv "FullProf_Manual.pdf" "Fullprof_Manual.pdf" || die
+ mv "Manual_FullProf_Studio.pdf" "Manual_Fullprof_Studio.pdf" || die
+ mv "FullProf_News.htm" "Fullprof_News.htm" || die
+ for i in FullProf_News_200?.htm; do
+ mv "$i" "${i/FullProf/Fullprof}" || die
+ done
+ cd .. || die
fi
+
mkdir -p "${D}/${BASEDIR}" || die
+ # make symlinks
+ for i in * ; do
+ [[ -x $i && ! -d $i ]] && dosym "../fullprof/${i}" /opt/bin/"${i##*/}"
+ done
mv "${S}"/* "${D}/${BASEDIR}" || die
}